package daemon

import "github.com/coreos/go-systemd/daemon"

const (
	DaemonStarted  = notifyType("READY=1")
	DaemonStopping = notifyType("STOPPING=1")
)

type notifyType string

func NotifyDaemon(status notifyType) {
	daemon.SdNotify(false, string(status))
}
